{
  "root": true,
  "ignorePatterns": ["**/*"],
  "plugins": ["@nx", "@ngrx"],
  "overrides": [
    {
      "files": ["*.ts", "*.tsx", "*.js", "*.jsx"],
      "rules": {
        "@nx/enforce-module-boundaries": [
          "error",
          {
            "enforceBuildableLibDependency": true,
            "allow": [],
            "depConstraints": [
              {
                "sourceTag": "*",
                "onlyDependOnLibsWithTags": ["*"]
              }
            ]
          }
        ]
      }
    },
    {
      "files": ["*.ts", "*.tsx"],
      "extends": ["plugin:@nx/typescript"],
      "rules": {
        "no-unused-vars": "off",
        "@typescript-eslint/no-unused-vars": [
          1,
          {
            "args": "all",
            "argsIgnorePattern": "^_"
          }
        ],
        "indent": "off",
        "@typescript-eslint/indent": ["error", 2],
        "semi": "off",
        "@typescript-eslint/semi": ["error"]
      }
    },
    {
      "files": ["*.js", "*.jsx"],
      "extends": ["plugin:@nx/javascript"],
      "rules": {}
    },
    {
      "files": ["*.ts"],
      "extends": ["plugin:@ngrx/recommended"]
    }
  ]
}
